import { VisualModuleType } from "@/views";
import { computed, ref } from "vue";

const currModuleType = ref<VisualModuleType>();

const isBigScreen = computed(() => {
  return currModuleType.value === VisualModuleType.BigScreen;
});

const isModule2D = computed(() => {
  return currModuleType.value === VisualModuleType.Module2D;
});

const isHvacModule = computed(() => {
  return isBigScreen.value || isModule2D.value;
});

export const useModuleType = () => {
  const setModuleType = (value: VisualModuleType) => {
    currModuleType.value = value;
  };

  return {
    currModuleType,
    isBigScreen,
    isModule2D,
    isHvacModule,
    setModuleType,
  };
};
