import { MonitorPointPen } from "@/views/EnvArea/pens/monitorPoint";
import { computed, ref } from "vue";

const monitorPointPens = ref<MonitorPointPen[]>([]);

const monitorPointIds = computed<number[]>(() => {
  let ids = monitorPointPens.value.map((item) => item.monitorPointInfo.id);
  return [...new Set(ids)];
});

export const useMonitorPointPen = () => {
  const setMonitorPointPens = (pens: MonitorPointPen[]) => {
    monitorPointPens.value = pens;
  };

  return {
    monitorPointPens,
    monitorPointIds,
    setMonitorPointPens,
  };
};
