import { save, SaveType } from "@/services/common";
import { IframeMsg } from "@/types";
import { getVisual2DMsgType, Visual2DMsgType } from "@/views";

export const addUnit = (val: number, unit: string = "px"): string => {
  return val + unit;
};

export const saveModuleFailed = (errMsg?: string) => {
  const msg: IframeMsg = {
    msgType: getVisual2DMsgType(Visual2DMsgType.SaveModuleFailed),
    errMsg
  };

  window.parent.postMessage(msg, "*");
};

export const saveModuleAndClose = async (close: boolean = true) => {
  try {
    const saved = await save(SaveType.Save, "", true, 1);

    if (saved && close) {
      const msg: IframeMsg = {
        msgType: getVisual2DMsgType(Visual2DMsgType.CloseEditor),
      };

      window.parent.postMessage(msg, "*");
    }

    if (!saved) {
      saveModuleFailed()
    }
  } catch (err) {
    console.error(err);
    saveModuleFailed(String(err));
  }
};
